Subject: Re: 1.18 mysql+perl+dbi+dbd::mysql
From: "Nikolayev Dmitry" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 13 Jan 2003 06:29:41 +0200

Sorry, but I'm newbie, how can I do this?

> You need to create an importlibrary from libmysqlclient for cygwin and
> link against it to build the Cygwin Perl based module.

----- Original Message -----
From: "Gerrit P. Haase" <[email-masked]>
To: "Nikolayev Dmitry" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, January 12, 2003 2:52 PM
Subject: Re: 1.18 mysql+perl+dbi+dbd::mysql

> Hallo Nikolayev,
>
> Am Sonntag, 12. Januar 2003 um 07:28 schriebst du:
>
> > I have installed cygwin 1.18, perl 5.6, DBI 1.30, mysql for windows
3.23.54
> > But when I tryied to install DBD::mysql, I got some errors with
compiling:
>
> > dbdimp.c:632: `MYSQL_OPT_COMPRESS' undeclared (first use in this
function)
> > dbdimp.c:632: (Each undeclared identifier is reported only once
> > dbdimp.c:632: for each function it appears in.)
> > dbdimp.c:641: `MYSQL_OPT_CONNECT_TIMEOUT' undeclared (first use in this
> > function
> > )
> > dbdimp.c:652: `MYSQL_READ_DEFAULT_FILE' undeclared (first use in this
> > function)
> > dbdimp.c:662: `MYSQL_READ_DEFAULT_GROUP' undeclared (first use in this
> > function)
>
> > dbdimp.c:729: warning: passing arg 5 of `mysql_real_connect' makes
integer
> > from
> > pointer without a cast
> > dbdimp.c:729: warning: passing arg 6 of `mysql_real_connect' makes
pointer
> > from
> > integer without a cast
> > dbdimp.c:729: warning: passing arg 7 of `mysql_real_connect' makes
integer
> > from
> > pointer without a cast
> > dbdimp.c:729: too many arguments to function `mysql_real_connect'
> > dbdimp.c: At top level:
> > dbdimp.c:1117: parse error before "val"
> > dbdimp.c: In function `my_ulonglong2str':
> > dbdimp.c:1118: `val' undeclared (first use in this function)
> > dbdimp.c: In function `mysql_st_fetch':
> > dbdimp.c:1523: warning: assignment from incompatible pointer type
> > make: *** [dbdimp.o] Error 1
>
> > Did anybody installed DBD::mysql? Or where can I read any information
about
> > installing cygwin + mysql?
>
>
> You need to create an importlibrary from libmysqlclient for cygwin and
> link against it to build the Cygwin Perl based module.
>
>
> Gerrit
> --
> =^..^=
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/